2025-12-16 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 21.1.8

2025-12-02 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 21.1.7, SPIRV_VERSION=21.1.3

2025-11-18 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 21.1.6

2025-11-05 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 21.1.5, SPIRV_VERSION=21.1.2

2025-08-26 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 21.1.0, SPIRV_VERSION=21.1.0

2025-08-10 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS, PRE_BUILD: version 20.1.8, SPIRV_VERSION=20.1.5,
	  converted to monorepo, upstream has no plans on releasing LLVM-libc separate tarball

2025-06-22 Ismael Luceno <ismael@sourcemage.org>
	* patches-clang/clang-001-fix-unwind-chain-inclusion.patch:
	  removed, it was not being applied
	* BUILD: fixed build against musl

2025-05-11 Ismael Luceno <ismael@sourcemage.org>
	* BUILD: removed CMAKE_LINKER_TYPE=SYSTEM

2025-04-02 Pavel Vinogradov <public@sourcemage.org>
	* BUILD: improved spirv check in libclc targets

2025-03-06 Thomas Orgis <sobukus@sourcemage.org>
	* BUILD: allow build with libclc _without_ SPIR-V in it

2025-03-02 Justin Boffemmyer <flux@sourcemage.org>
	* BUILD, PREPARE: explicitly warn the user about libclc SPIR-V builds
	  needing llvm-spirv

2025-02-28 Thomas Orgis <sobukus@sourcemage.org>
	* BUILD: fix the && chain and make a non-existing llvm-spirv non-fatal
	* DETAILS: ++PATCHLEVEL, as this changes the build (for example, really
	  using clang for building)

2025-01-17 Justin Boffemmyer <flux@sourcemage.org>
	* BUILD: fix experimental targets, make clang-tools-extra build
	  explicit, support SPIR-V runner for MLIR, make utils install
	  explicit, improve linker handling
	* DEPENDS: fix Z3 option, make doxygen option explicit, support Vulkan
	  runner for MLIR
	* PREPARE: move linker processing to BUILD, fix experimental target
	  processing
	* PRE_BUILD: fix typo in SPIRV_VERSION variable usage, quote filenames

2025-01-16 Justin Boffemmyer <flux@sourcemage.org>
	* BUILD: add a workaround for building libclc

2025-01-16 Justin Boffemmyer <flux@sourcemage.org>
	* CONFIGURE,PREPARE: move backend target selection to PREPARE, add
	  experimental backend target selection options

2025-01-16 Justin Boffemmyer <flux@sourcemage.org>
	* CONFIGURE: add LoongArch to list of supported build targets

2025-01-16 Justin Boffemmyer <flux@sourcemage.org>
	* PREPARE: don't hardcode a specific path for finding host compilers or
	  linkers

2025-01-16 Justin Boffemmyer <flux@sourcemage.org>
	* DEPENDS: add missing functions include

2025-01-16 Justin Boffemmyer <flux@sourcemage.org>
	* CONFIGURE: refactor target specifications
	* DETAILS: declare cmake as the build system, update license, update
	  description
	* DEPENDS: correct dependencies, convert to buildsys_depends functions,
	  specify gcc sub-dependency only when using gcc to build
	* PREPARE: enable choosing which host compiler and linker to build with

2025-01-15 Justin Boffemmyer <flux@sourcemage.org>
	* PRE_SUB_DEPENDS,SUB_DEPENDS: add more supported features so they can
	  be depended on if needed

2025-01-15 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: fixed typo in SOURCE3_URL[0] (cmake modules)

2025-01-14 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 19.1.7

2025-01-05 Justin Boffemmyer <flux@sourcemage.org>
	* BUILD,PRE_BUILD: simplify with CMake vars instead of symlinks
	* PREPARE: clean up whitespace

2025-01-05 Justin Boffemmyer <flux@sourcemage.org>
	* PRE_SUB_DEPENDS,SUB_DEPENDS: remove unneeded option

2025-01-05 Justin Boffemmyer <flux@sourcemage.org>
	* BUILD: fix placement of &&

2025-01-05 Justin Boffemmyer <flux@sourcemage.org>
	* BUILD: optimize build by removing more benchmarks and tests
	* patches-lld/0001-Include-libunwind-from-source-directory.patch:
	  removed, no longer needed

2025-01-04 Justin Boffemmyer <flux@sourcemage.org>
	* BUILD,DETAILS,PREPARE,PRE_BUILD: fix, restructure, add some missing
	  supported features
	* CONFIGURE: add "all" target option
	* DEPENDS: change options from 1,0 to ON,OFF
	* FINAL: remove, perform in INSTALL
	* INSTALL: set ownership and permissions
	* PRE_SUB_DEPENDS: account for "all" targets
	* SUB_DEPENDS: fix quoting and phrasing

2024-12-18 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 19.1.6

2024-12-03 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 19.1.5

2024-11-12 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 19.1.4

2024-10-30 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 19.1.3

2024-10-15 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 19.1.2

2024-10-01 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 19.1.1

2024-09-17 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 19.1.0

2024-06-06 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 18.1.7

2024-05-19 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 18.1.6

2024-05-02 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 18.1.5

2024-04-18 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 18.1.4

2024-04-04 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 18.1.3

2024-03-20 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 18.1.2

2024-03-09 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 18.1.1

2024-03-07 Treeve Jelbert <treeve@sourcemage.org>
	* libcxxabi-dl.patch: deleted, obsolete

2024-03-06 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 18.1.0

2023-11-28 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 17.0.6

2023-11-14 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 17.0.5

2023-11-11 Thomas Orgis <sobukus@sourcemage.org>
	* patches-lldb/lldb-musl.patch: gone, apparently outdated/mismatched

2023-11-10 Ismael Luceno <ismael@sourcemage.org>
	* DETAILS: simplified SOURCE_DIRECTORY to match llvm15

2023-10-31 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 17.0.4

2023-10-17 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 17.0.3

2023-10-03 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 17.0.2

2023-09-19 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 17.0.1

2023-88-24 Pavel Vinogradov <public@sourcemage.org>
	* DEPENDS: removed hardcoded path in libffi flag, no longer needed

2023-06-14 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 16.0.6

2023-06-02 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 16.0.5

2023-05-17 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 16.0.4

2023-05-03 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 16.0.3

2023-04-19 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 16.0.2

2023-04-15 Treeve Jelbert <treeve@sourcemage.org>
	* PRE_SUB_DEPENDS: fix sytntax for RTTI
	* BUILD: tweak RTTI flags, otherwise breaks mesa build

2023-04-05 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 16.0.1

2023-03-19  Florian Franzmann  <bwlf@bandrate.org>
	* patches-libcxx/libcxx-musl.patch: remove broken patch

2023-03-18 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 16.0.0
	* BUILD: disabled tests
	* PRE_BUILD: removed patching from patches-llvm, fixed cmake modules
	  extraction and location
	* patches-llvm/llvm-001-musl.patch: dropped, no longer applicable

2023-01-12 Pavel Vinpgradov <public@sourcemage.org>
	* DETAILS: version 15.0.7

2022-12-13 Ismael Luceno <ismael@sourcemage.org>
	* DEPENDS: added missing dependency on mako

2022-11-29 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 15.0.6

2022-11-16  Florian Franzmann  <bwlf@bandrate.org>
	* DETAILS: version 15.0.5

2022-11-02 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 15.0.4

2022-10-23 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: staged installation isn't possible after all

2022-10-18 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 15.0.3

2022-10-04 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 15.0.2

2022-09-24  Florian Franzmann  <bwlf@bandrate.org>
	* INSTALL, FINAL: fix typos

2022-09-20 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 15.0.1, reenabled staged installation
	* INSTALL, FINAL: moved the ownership and permissions setting code to FINAL,
	  refactored installation of analyzer files and python3 bindings

2022-09-06 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS, PRE_BUILD: version 15.0.0, added cmake modules archive for all
	  variants/options

2022-08-03 Ismael Luceno <ismael@sourcemage.org>
	* PRE_BUILD: removed musl-related edit; not needed anymore

2022-07-27 Vlad Glagolev <stealth@sourcemage.org>
	* DEPENDS: switch to PKG-CONFIG provider (automated)

2022-06-25  Florian Franzmann  <bwlf@bandrate.org>
	* DETAILS: version 14.0.6

2022-06-11  Florian Franzmann  <bwlf@bandrate.org>
	* DETAILS: version 14.0.5

2022-05-25 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 14.0.4

2022-05-25  Florian Franzmann  <bwlf@bandrate.org>
	* PRE_BUILD, patches-libcxx/libcxx-musl.patch,
	  patches-libcxx/libcxxabi-dl.patch: fix unpack locations

2022-04-29 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 14.0.3

2022-04-27 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 14.0.2

2022-04-13 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 14.0.1

2022-03-23 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 14.0.0
	* BUILD: disabled benchmarks, removed debug output

2022-03-05 Ismael Luceno <ismael@sourcemage.org>
	* DETAILS: added STAGED_INSTALL=off due to chmod errors

2022-02-03 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 13.0.1

2021-10-05 Ismael Luceno <ismael@iodev.co.uk>
	* patches-clang/compiler-rt-size_t.patch: removed, no longer needed

2021-10-01 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 13.0.0
	* patches-llvm/0001--SROA--Avoid-splitting-loads-stores-with-irregular-type.patch:
	  deleted, no longer needed

2021-09-09 Ismael Luceno <ismael@sourcemage.org>
	* PRE_SUB_DEPENDS, SUB_DEPENDS: added generic target subdeps
	* CONFIGURE: added AVR, Lanai, RISCV & WebAssembly arch targets
	* patches-llvm/0001--SROA--Avoid-splitting-loads-stores-with-irregular-type.patch:
	  added patch required by Zig
	* DETAILS: PATCHLEVEL++

2021-08-30 Ismael Luceno <ismael@sourcemage.org>
	* BUILD: removed deprecated CXX1Y and CXX1Z options
	* DEPENDS: added libexecinfo for musl
	  added dep on system six
	* PRE_BUILD: fixed typo
	* patches-clang/clang-001-fix-unwind-chain-inclusion.patch,
	  patches-clang/compiler-rt-size_t.patch,
	  patches-libcxx/libcxx-musl.patch, patches-libcxx/libcxxabi-dl.patch,
	  patches-lldb/lldb-musl.patch, patches-llvm/llvm-001-musl.patch,
	  BUILD, PRE_BUILD: fixed build against musl

2021-07-10  Florian Franzmann  <bwlf@bandrate.org>
	* PRE_BUILD: only apply lld-related patch when lld is actually built
	* INSTALL: do not try to install nonexistent manpage

2021-07-09  Florian Franzmann  <bwlf@bandrate.org>
	* DETAILS: version 12.0.1

2021-05-01 Florian Franzmann <bwlf@bandrate.org>
	* PRE_BUILD, DETAILS, 0001-Include-libunwind-from-source-directory.patch:
	  Unpack missing sources for building lld

2021-04-18 Ismael Luceno <ismael@iodev.co.uk>
	* PRE_BUILD: edited patch to clang-tools-extra path

2021-04-18 Remko van der Vossen <wich@sourcemage.org>
	* PRE_BUILD: make path patch actually work

2021-04-17 Ismael Luceno <ismael@iodev.co.uk>
	* PRE_BUILD: patched path to clang-tools-extra

2021-04-15 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 12.0.0

2021-02-19 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: version 11.1.0

2021-01-06 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 11.0.1

2020-10-12 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 11.0.0
	* 0001-fix-compile-error.patch: deleted
	* PRE_BUILD: adjust

2020-08-12 Ismael Luceno <ismael@sourcemage.org>
	* DETAILS: PATCHLEVEL++
	* PRE_BUILD, BUILD: Replaced clang patch by -DPIC removal from CXXFLAGS
	* 0001-fix-compile-error-clang.patch: removed, no longer needed

2020-07-22 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 10.0.1

2020-03-26 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS, PRE_BUILD: version 10.0.0
	* 0001-fix-compile-error-clang.patch, 0001-fix-compile-error.patch:
	  regenerate patches

2020-01-11 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS, PRE_BUILD: version 9.0.1

2019-11-29 Florian Franzmann <bwlf@bandrate.org>
	* INSTALL: install symlink to run-clang-tidy.py

2019-09-20 Pavel Vinogradov <public@sourcemage.org>
	* PRE_BUILD, 0001-fix-compile-error*.patch: reenabled and updated

2019-09-19 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 9.0.0
	  fix url
	* PRE_BUILD: disable pathces, they don't applu

2019-08-22 Ismael Luceno <ismael@sourcemage.org>
	* BUILD: Fixed default target

2019-08-21 Ismael Luceno <ismael@sourcemage.org>
	* DETAILS: removed broken llvm.org URLs
	* DEPENDS: Added optional dependency on z3
	* PRE_BUILD: Removed directory dancing
	  Disabled clang sanitizers on musl

2019-07-20 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 8.0.1, added GitHub mirror

2019-05-25 Ismael Luceno <ismael@sourcemage.org>
	* DEPENDS: Fix build against musl

2019-05-23 Ismael Luceno <ismael@sourcemage.org>
	* DEPENDS, PRE_BUILD: Remove python, builds only with python3 now

2019-05-05 Pavel Vinogradov <public@sourcemage.org>
	* 0001-fix-compile-error{,-clang}.patch: fixed building without clang

2019-04-12 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: fix lld's source url

2019-04-01 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS, PREPARE, PRE_BUILD, PRE_SUB_DEPENDS, SUB_DEPENDS: add support for llvm's linker

2019-03-21 Pavel Vinogradov <public@sourcemage.org>
	* PRE_BUILD, 0001-fix-compile-error.patch,
	  0001-fix-compile-error-clang.patch: reenabled and updated,
	  otherwise compilation fails for PIC code generation

2019-03-20 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 8.0.0
	* DEPENDS: improve libffi flags
	* PRE_BUILD: disbale at present, build without patching

2018-12-15 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 7.0.1

2018-09-20 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 7.0.0
	* 0001-fix-compile-error.patch, 0001-fix-compile-error-clang.patch:
	  updated the patches

2018-06-26 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 6.0.1

2018-03-22 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 6.0.0
	* 0001-fix-compile-error.patch, 0001-fix-compile-error-clang.patch:
	  updated the patches
	* 0001-fix-scan-view-s-module-search-path.patch: removed

2018-03-06 Eric Sandall <sandalle@sourcemage.org>
	* 0001-fix-compile-error.patch: Remove CommonArgs.cpp and cs1as_main.cpp
	  patch as these files don't exist in llvm source.
	* 0001-fix-compile-error-clang.patch: Add CommonArgs.cpp and cs1as_main.cpp
	  patch as these are for Clang source code.
	* PRE_BUILD: Apply 0001-fix-compile-error-clang.patch if Clang is enabled.

2017-12-21 Florian Franzmann <bwlf@bandrate.org>
	* PRE_BUILD, 0001-fix-compile-error.patch: fix compile error

2017-12-20 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 5.0.1

2017-11-03 Treeve Jelbert <treeve@sourcemage.org>
	* DEPENDS: libedit also drags in ncurses
	* BUILD: disable various options
	  also use options recommended by mesa project

2017-10-23 Treeve Jelbert <treeve@sourcemage.org>
	* PRE_SUB_DEPENDS: fix typos

2017-10-20 Treeve Jelbert <treeve@sourcemage.org>
	* SUB_DEPENDS PRE_SUB_DEPENDS: add AMD option

2017-09-11 Vlad Glagolev <stealth@sourcemage.org>
	* DEPENDS: swig is required only for LLDB

2017-09-07 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 5.0.0

2017-06-27 Treeve Jelbert <treeve@sourcemage.org>
	* CONFIGURE DEPENDS INSTALL: cmake+ninja support

2017-06-24 Florian Franzmann <bwlf@bandrate.org>
	* SUB_DEPENDS, PRE_SUB_DEPENDS, PRE_BUILD, PREPARE, DETAILS:
	  add optional support for the polly loop and data-locality optimizer

2017-06-23 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 4.0.1

2017-04-15 Eric Sandall <sandalle@sourcemage.org>
	* BUILD: Truly disable PIC with disable_pic(force).

2017-03-13 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 4.0.0

2017-01-20 Florian Franzmann <bwlf@bandrate.org>
	* SUB_DEPENDS, PRE_SUB_DEPENDS: add subdependencies for clang and lldb

2016-12-22 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: version 3.9.1

2016-12-08 Ismael Luceno <ismael@sourcemage.org>
	* PRE_BUILD, lldb-3.6.2-fix-shared-lib-build.patch: Patch removed,
	  applied by upstream

2016-10-06 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: PATCH_LEVEL -> PATCHLEVEL

2016-10-05 Florian Franzmann <bwlf@bandrate.org>
	* INSTALL: install python bindings for libclang
	* DETAILS: PATCH_LEVEL++

2016-09-29 Florian Franzmann <bwlf@bandrate.org>
	* PRE_BUILD, DETAILS: install clang extra tools alongside clang, bump
	  PATCH_LEVEL

2016-09.1 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 3.9.0
	* CPONFIGURE: remove CppBackend

2016-07-12 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 3.8,1

2016-03-12 Florian Franzmann <bwlf@bandrate.org>
	* INSTALL: fix installation of clang static analyzer

2016-03-09 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 3.8,0
	* CONFIGURE: remove crud
	* PRE_BUILD: remove scan-view patch

2016-01-06 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 3.7.1

2015-09-02 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 3.7.0
	* CONFIGURE: support AMDGPU, remove R600
	* BUILD: adjust

2015-08-18 Thomas Orgis <sobukus@sourcemage.org>
	* PRE_BUILD, lldb-3.6.2-fix-shared-lib-build.patch: Again fixup,
	  adapted from https://llvm.org/bugs/show_bug.cgi?id=21670 .
	  Is this a joke? Anyone laughing?
	* lldb-shared-libs.patch: gone, got a new one now

2015-07-17 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 3.6.2

2015-05-28 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 3.6.1

2015-05-05 Pavel Vinogradov <public@sourcemage.org>
	* PRE_BUILD, lldb-shared-libs.patch: added a fix for building lldb
	  with shared llvm and system libraries (found here:
	  https://llvm.org/bugs/show_bug.cgi?id=21670#c8)

2015-04-06 Florian Franzmann <bwlf@bandrate.org>
	* PRE_BUILD: use absolute path when sediting CMakeLists.txt

2015-03-19 Thomas Orgis <sobukus@sourcemage.org>
	* PRE_BUILD: It's lldb-$VERSION.src, like all else.
	  Build of lldb still breaks here, but at least not in PRE_BUILD.

2015-02-27 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 3.6.0
	* llvm.gpg: added new key, 345AD05D, Hans Wennborg <hans@chromium.org>

2015-01-12 Ismael Luceno <ismael@sourcemage.org>
	* BUILD: Remove "PIC" from CXXFLAGS, it is used as an identifier
	* PRE_BUILD: Merged edits to scan-build

2015-01-11 Treeve Jelbert <treeve@sourcemage.org>
	* BUILD, CONFIGURE, PRE_BUILD: allow user to specify backends to build

2014-12-16 Treeve Jelbert <treeve@sourcemage.org>
	* BUILD, CONFIGURE:  ensure that R600 is supported

2014-10-24 Pol Vinogradov <vin.public@gmail.com>
	* DETAILS: updated to 3.5.0, .gz -> .xz, removed COMPILERRT_VERSION and LLDB_VERSION
	* PRE_BUILD: removed PIC related fix, applied *VERSION changes

2014-08-24 Thomas Orgis <sobukus@sourcemage.org>
	* DETAILS: disable TMPFS, as build needs 5 GiB on disk, plus actual RAM for
	  compiling
	* DEPENDS: swig
	* BUILD: remove restriction of targets to X86

2014-06-20 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 3.4.2
	* PRE_BUILD, gcc-4.9.patch: not needed

2014-06-01 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS, PRE_BUILD: add compiler-rt
	* DETAILS: use signed tarball for lldb

2014-05-29 Treeve Jelbert <treeve@sourcemage.org>
	* DEPENDS: fix syntax error

2014-05-21 Florian Franzmann <bwlf@bandrate.org>
	* DEPENDS, DETAILS, INSTALL, PREPARE, PRE_BUILD: add suppport
	  for the lldb debugger

2014-05-10 Florian Franzmann <bwlf@bandrate.org>
	* INSTALL: install static analyzer to /usr/bin
	* PRE_BUILD: fix search paths in scan-build and scan-view

2014-05-09 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS, PRE_BUILD: version 3.4.1
	* PRE_BUILD, gcc-4.9.patch: fix error when using gcc 4.9's stdlib

2014-03-26 Pol Vinogradov <vin.public@gmail.com>
	* DETAILS: SOURCE3 was updated to upstream
	* PRE_BUILD: corrected clang directory name change,
	  removed patching of Tools.cpp, sed was used instead
	* Tools.cpp.patch: removed

2014-01-06 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 3.4
	* llvm.gpg: add key BB5A0569: "Bill Wendling <void@llvm.org>"

2013-06-20 Pol Vinogradov <vin.public@gmail.com>
	* PRE_BUILD, Tools.cpp.patch: corrected clang directory, readded
	  slightly modified Tools.cpp patch

2013-06-20 Treeve Jelbert <treeve@sourcemage.org>
	* DEPENDS: add PYTHON, zlib
	* PRE_BUILD: fix build with python3

2013-06-18 Pol Vinogradov <vin.public@gmail.com>
	* DETAILS, PRE_BUILD: adapted clang build with current version
	* Tools.cpp.patch: removed

2013-06-18 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 3.3
	* llvm.gpg: added E95C63DC Bill Wendling <wendling@apple.com>

2013-04-27 Treeve Jelbert <treeve@sourcemage.org>
	* PRE_BUILD: move clang patch

2013-02-24 Florian Franzmann <bwlf@bandrate.org>
	* gcc-4.7.patch: remove unused patch
	* Tools.cpp.patch, PRE_BUILD: fix compile error if clang is enabled

2012-12-24 Pol Vinogradov <vin.public@gmail.com>
	* DETAILS: version 3.2
	* E95C63DC.gpg: removed
	* llvm.gpg: added new key: 7CB2EFFB,
	  Pawel Wodnicki (elektrknight) <root@32bitmicro.com>

2012-05-30 Pol Vinogradov <vin.public@gmail.com>
	* DETAILS: version 3.1, changed sources' names for both
	  llvm and clang

2012-02-16 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: clang is also signed by E95C63DC
	* 0DD88BA2.gpg: removed
	* PRE_BUILD, INSTALL: updated

2012-01-15 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 3.0
	  now uses .tar.gz
	  different gpg
	* E95C63DC.gpg: added
	  key E95C63DC: public key "Bill Wendling <wendling@apple.com>"
	* DEPENDS: add cmake, libffi, ocaml, pkgconfig
	* BUILD: use cmake_build
	  also build shared libraries;
	  needed by some other spells, such as opengtl
	  only build X86 targets
	* CONFIGURE: remove ref to jit
	* PRE_BUILD: small fix to find libffi

2011-09-26 Justin Boffemmyer <flux@sourcemage.org>
	* DETAILS, PRE_BUILD: converted clang sources to also use upstream
	  signature checking, and corrected source numbering (clang source
	  conflicted with llvm sig source)
	* CONFIGURE: add option for installing the clang static analyzer
	  scripts
	* DEPENDS: if the clang static analyzer is enabled, then the runtime
	  environment will minimally need perl, and python is optional
	* INSTALL: new file, added to handle installing the clang static
	  analyzer scripts if enabled in CONFIGURE, as there is currently no
	  upstream install for the files

2011-09-26 Bor Kraljič <pyrobor@ver.si>
	* DETAILS: converted to upstream signature checking
	* 0DD88BA2.gpg: added gpg keyring

2011-07-30 Florian Franzmann <bwlf@bandrate.org>
	* DEPENDS: changed dependency on g++ to dependency on gcc with
	  sub-depends on CXX (scripted)

2011-05-12 Peng Chang (Charles) <chp@sourcemage.org>
	* DETAILS: updated spell to 2.9

2010-10-07 Finn Haedicke <finn@sourcemage.org>
	* DETAILS: updated spell to 2.8

2010-06-23 Finn Haedicke <finn@sourcemage.org>
	* CONFIGURE,PREPARE: query for clang in PREPARE
	* DETAILS,PRE_BUILD: only download and unpack clang if enabled

2010-06-20 Finn Haedicke <finn@sourcemage.org>
	* CONFIGURE,DETAILS,PRE_BUILD : added support for clang
	* DEPENDS: removed query for gcc backend (unused)

2010-06-10 Peng Chang (Charles) <chp@sourcemage.org>
	* DETAILS: updated spell to 2.7

2009-10-31 Bor Kraljič <pyrobor@ver.si>
	* DETAILS: updated spell to 2.6

2009-03-29 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.5

2008-11-15 Justin Boffemmyer <flux@sourcemage.org>
	* BUILD, CONFIGURE, DEPENDS, DETAILS, INSTALL: spell created

